From aa073fa8da2205bf9505d278b432f4c227bef6e4 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 19 Dec 2011 10:40:19 -0600
Subject: Changed definition after data instead of definition

---
 grade/edit/tree/item_form.php |   15 +++++++++------
 1 files changed, 9 insertions(+), 6 deletions(-)

diff --git a/grade/edit/tree/item_form.php b/grade/edit/tree/item_form.php
index c6d3ad3..8d91e59 100644
--- a/grade/edit/tree/item_form.php
+++ b/grade/edit/tree/item_form.php
@@ -79,12 +79,9 @@ class edit_item_form extends moodleform {
         $mform->addHelpButton('grademax', 'grademax', 'grades');
         $mform->disabledIf('grademax', 'gradetype', 'noteq', GRADE_TYPE_VALUE);
 
-        $grademin_hider = get_config('moodle', 'grade_min_hide');
-        if (empty($grademin_hider)) {
-            $mform->addElement('text', 'grademin', get_string('grademin', 'grades'));
-            $mform->addHelpButton('grademin', 'grademin', 'grades');
-            $mform->disabledIf('grademin', 'gradetype', 'noteq', GRADE_TYPE_VALUE);
-        }
+        $mform->addElement('text', 'grademin', get_string('grademin', 'grades'));
+        $mform->addHelpButton('grademin', 'grademin', 'grades');
+        $mform->disabledIf('grademin', 'gradetype', 'noteq', GRADE_TYPE_VALUE);
 
         $mform->addElement('text', 'gradepass', get_string('gradepass', 'grades'));
         $mform->addHelpButton('gradepass', 'gradepass', 'grades');
@@ -295,6 +292,12 @@ class edit_item_form extends moodleform {
         if (!$mform->elementExists('aggregationcoef') and !$mform->elementExists('parentcategory')) {
             $mform->removeElement('headerparent');
         }
+
+        // Freeze grademin element if option unavailable
+        $min_is_hidden = (bool) get_config('moodle', 'grade_min_hide');
+        if ($min_is_hidden and $mform->elementExists('grademin')) {
+            $mform->hardFreeze('grademin');
+        }
     }
 
 
-- 
1.7.1


